Bug 1347905 - What is the benefit of blocking PCManFM-Qt entry in other desktop environments?
Summary: What is the benefit of blocking PCManFM-Qt entry in other desktop environments?
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: pcmanfm-qt
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Helio Chissini de Castro
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: LXQt
TreeView+ depends on / blocked
 
Reported: 2016-06-18 08:10 UTC by Sudhir Khanger
Modified: 2016-12-20 21:01 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 21:01:44 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1264438 None None None Never

Internal Links: 1264438

Description Sudhir Khanger 2016-06-18 08:10:38 UTC
Description of problem:

pcmanfm-qt doesn't show up as an app entry in any other DE except LXQt.

cat /usr/share/applications/pcmanfm-qt.desktop
OnlyShowIn=X-LXQt;

Why are we blocking it in other desktop environment?

Version: 0.10.0

Comment 1 Raphael Groner 2016-06-18 08:28:22 UTC
That's generally done by upstream. But we tweak it cause of a bug within desktop-file-utils not knowing LXQt as service identifier from the standard, so the easy fix is to just remove ' --add-only-show-in=X-LXQt ' from spec file.

Comment 2 Peter Mattern 2016-07-25 21:24:53 UTC
> That's generally done by upstream.
No. As of release 0.9.0 desktop entry files pcmanfm-qt.desktop and pcmanfm-qt-desktop-pref.desktop have never stated any of the keys {Only,Not}ShowIn. The key was probably added in Fedora as side-effect of replacing string 'LXQt' with 'X-LXQt' in all kinds of components, see e. g. corresponding notes in bug 1359940.

As for pcmanfm-qt-desktop-pref.desktop it could even be considered upstream to set OnlyShowIn=LXQt (or X-LXQt). This file launches a configuration dialogue that's only relevant when PCManFM-Qt is used to handle the desktop which is common practice in LXQt sessions only right now, AFAIK.
But as for pcmanfm-qt.desktop which is launching the actual file manager removing key OnlyShowIn would certainly be desirable as being usable in environments other than LXQt is definitely a development goal.

Comment 3 Helio Chissini de Castro 2016-07-26 07:23:18 UTC
This is wrong and was my mistake when made original 0.9.x specs.

I will change now and let it ready for 0.10

Regards, Helio

Comment 4 Helio Chissini de Castro 2016-07-26 09:44:13 UTC
And to corroborate Raphael, yes, it done by upstream.
Is our decision made it available or not.

Comment 5 Peter Mattern 2016-07-26 10:02:00 UTC
> And to corroborate Raphael, yes, it done by upstream.
Unless there' some misunderstanding, e. g. what you guys mean is "should be handled by upstream" or so, this just isn't true.
You may grep through release 0.9, 0.10 or current master. Keys {Only,Not}ShowIn have never been included in those desktop entry files upstream.

Comment 6 Raphael Groner 2016-09-27 17:47:26 UTC
 Helio Chissini de Castro 2016-07-26 11:42:31 CEST
Status: NEW → RELEASE_PENDING

Why?

Comment 7 Fedora End Of Life 2016-11-25 09:19:42 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2016-12-20 21:01:44 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.